Warning LNK4099: PDB 'vc90.pdb' was not found

Warning LNK4099: PDB 'vc90.pdb' was not found

Аватар пользователя GoldenRetriever

When I tried to debug the fortran subrountine which linked to ABAQUS following suggestion from this link http://forum.cadec-online.com/viewtopic.php?f=5&t=204 The errors I got from Fortran compiler is:

standardU_static.lib(SMAStsStdU_IF.obj) : warning LNK4099: PDB 'vc90.pdb' was not found with 'standardU_static.lib(SMAStsStdU_IF.obj)'

My system:

Intel Fortran Compiler 11.1 Build 20101201

Microsoft Visual C++ 10.0.30319.1

Windows 7 Enterprise (Build 7600) (x64)

ABAQUS 6.12-3

I searched for a while but could not find any solution for that. Any advice on this would be highly appreciated. Thnks very much.

6 сообщений / 0 новое
Последнее сообщение
Пожалуйста, обратитесь к странице Уведомление об оптимизации для более подробной информации относительно производительности и оптимизации в программных продуктах компании Intel.
Аватар пользователя Steve Lionel (Intel)

You're building with an incompatible set of Fortran and C++ tools. Fortran 11.1 doesn't support VS2010 and it's creating VS2008-style PDB files. Either upgrade your Fortran or use an older MSVC.

Steve
Аватар пользователя GoldenRetriever

Thanks Steve, you are right, I found the file vc100.pdb in the debuge folder instead.

I have rolled back to VS2008, but the problem now is I could not find the file vc90.pdb at the debuge folder as before. The error is still remained. Do you know how to make the VS produces that vc90.pdb file?

Аватар пользователя Tim Prince

It seems a complicated enough situation that you ought to see which references you would find in a web search might be relevant, such as having up to date service packs and rebuilding solution.

Аватар пользователя mecej4

GoldenRetriever: I think that the problem lies with the dependence of the Abaqus-provided library, standardU_static.lib, on a specific version of the VC runtime. If you have to use that Abaqus library and user code must be compiled in such a way as to produce a program database file (.PDB), you may be stuck with having to use a VC9-compatible compiler/VS setup.

See if Abaqus can provide you a VC10 compatible library.

Аватар пользователя GoldenRetriever

Thanks TimP, mecej4. The current ABAQUS version does not support VC10 unfortunately.

The warning appears when I add the switch '/DEBUG' to the linker command (link_sl), it appears to me something related to static or standard library.

I paste the full linker command here, hopefully you can pick-up something unusual/clues there:

compile_fortran=['ifort', '/c','/DABQ_WIN86_64',
'/iface:cref', '/recursive', '/Qauto-scalar', '/QxW', '/nologo', '/extend-source',
'/heap-arrays:1', '/Od', '/include:%I', '/Zi']

link_sl=['LINK', '/nologo', '/INCREMENTAL:NO', '/subsystem:console', '/machine:AMD64', '/NODEFAULTLIB:LIBC.LIB', '/NODEFAULTLIB:LIBCMT.LIB',
'/DEFAULTLIB:OLDNAMES.LIB', '/DEFAULTLIB:LIBIFCOREMD.LIB', '/DEFAULTLIB:LIBIFPORTMD', '/DEFAULTLIB:LIBMMD.LIB',
'/DEFAULTLIB:MSVCRT.LIB', '/DEFAULTLIB:kernel32.lib', '/DEFAULTLIB:user32.lib', '/DEFAULTLIB:advapi32.lib',
'/FIXED:NO', '/dll', '/def:%E', '/out:%U', '%F', '%A', '%L', '%B', 'oldnames.lib', 'user32.lib', 'ws2_32.lib',
'netapi32.lib', 'advapi32.lib', '/DEBUG']

link_exe=['LINK', '/nologo', '/INCREMENTAL:NO', '/subsystem:console', '/machine:AMD64', '/STACK:20000000',
'/NODEFAULTLIB:LIBC.LIB', '/NODEFAULTLIB:LIBCMT.LIB', '/DEFAULTLIB:OLDNAMES.LIB', '/DEFAULTLIB:LIBIFCOREMD.LIB',
'/DEFAULTLIB:LIBIFPORTMD', '/DEFAULTLIB:LIBMMD.LIB', '/DEFAULTLIB:MSVCRT.LIB', '/DEFAULTLIB:kernel32.lib',
'/DEFAULTLIB:user32.lib', '/DEFAULTLIB:advapi32.lib', '/FIXED:NO', '/LARGEADDRESSAWARE', '/out:%J', '%F', '%M',
'%L', '%B', '%O', 'oldnames.lib', 'user32.lib', 'ws2_32.lib', 'netapi32.lib', 'advapi32.lib', '/DEBUG']

Зарегистрируйтесь, чтобы оставить комментарий.